Documentation
Login / Sign Up
GET
https://api.secapi.dev/v1/filings
API key:

List filings

Returns SEC filings with pagination metadata and the normalized filters used for the query.

Parameters

pageinteger
limitinteger
formTypesstring
cikstring
tickerstring
startDatedate
endDatedate
Example
  1{  2  "data": [  3    {  4      "accessionNumber": "0000320193-26-000006",  5      "cik": "0000320193",  6      "formType": "10-Q",  7      "formTypeCategory": "Quarterly Reports",  8      "ticker": "AAPL",  9      "filingDate": "2025-12-30", 10      "filingUrl": "https://www.sec.gov/Archives/edgar/data/320193/000032019325000073/0000320193-26-000006-index.htm", 11      "acceptedDate": "2025-12-30T16:32:14Z", 12      "entityName": "Apple Inc." 13    } 14  ], 15  "pagination": { 16    "page": 1, 17    "limit": 20, 18    "hasMoreData": true 19  }, 20  "filters": { 21    "formTypes": [ 22      "10-K", 23      "8-K" 24    ], 25    "cik": "0000320193", 26    "ticker": "AAPL", 27    "startDate": "2025-01-01", 28    "endDate": "2025-12-31" 29  } 30}